none
.NET Framework 2.0 trouble RRS feed

  • Question

  • Hi, I'm trying to install .NET Framework 2.0, but every time I try this message shows up:

    Setup cannot continue because this version of the .NET Framework is incompatible with a previously installed one" 

    and tells me to go to a page ( http://support.microsoft.com/support/kb/articles/q312/5/00.asp ) which seems to have been erased. Microsoft help pages tell me to uninstall  .NET Framework 2.0 Service Pack 1, but I don't have it on my computer or I at least can't find it.

    Please help me.

    Thanks :)

    Monday, August 10, 2009 8:02 AM

Answers

  • I was able to access that page without problems. It says that you can't install an earlier version of .NET 2.0 on top of the later .NET 2.0 with SP1. It says to uninstall .NET 2.0 SP1 first. Since you can't find it and you need to get rid of it, try and use the .NET Cleanup tool to uninstall it. Once you've done that try installing .NET 2.0 again.
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:04 PM
    Tuesday, August 11, 2009 1:12 AM
  • Hi Martini24,

    Some clarification:
    What's your OS?

    For XP or Windows Server 2003, as Etisoppo mentioned, please try Cleanup Tool to remove .NET Framework 2.0 SP1. Then try installing .NET Framework 2.0.

    For Vista or later, it includes the .NET Framework 2.0 as OS components. So you don't need to manually install .NET Framework 2.0.

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:05 PM
    Tuesday, August 11, 2009 8:28 AM
  • Hi Martini24,
    trying to use .net frame work clean up utility and re-install the .net frame work 2 again.
     
    ---------------------------------------------------
    I hope this may help you
    don't forget mark the post as an answer if it help you
    ---------------------------------------------------
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:05 PM
    Tuesday, August 11, 2009 1:48 PM

All replies

  • I was able to access that page without problems. It says that you can't install an earlier version of .NET 2.0 on top of the later .NET 2.0 with SP1. It says to uninstall .NET 2.0 SP1 first. Since you can't find it and you need to get rid of it, try and use the .NET Cleanup tool to uninstall it. Once you've done that try installing .NET 2.0 again.
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:04 PM
    Tuesday, August 11, 2009 1:12 AM
  • Hi Martini24,

    Some clarification:
    What's your OS?

    For XP or Windows Server 2003, as Etisoppo mentioned, please try Cleanup Tool to remove .NET Framework 2.0 SP1. Then try installing .NET Framework 2.0.

    For Vista or later, it includes the .NET Framework 2.0 as OS components. So you don't need to manually install .NET Framework 2.0.

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:05 PM
    Tuesday, August 11, 2009 8:28 AM
  • Hi Martini24,
    trying to use .net frame work clean up utility and re-install the .net frame work 2 again.
     
    ---------------------------------------------------
    I hope this may help you
    don't forget mark the post as an answer if it help you
    ---------------------------------------------------
    • Marked as answer by Martini24 Tuesday, August 11, 2009 10:05 PM
    Tuesday, August 11, 2009 1:48 PM